using Godot;
using System.Reflection;
using System.Collections.Generic;

namespace Rokojori
{ 
  public class UniformMember
  {
    public string name;
    public Variant.Type type;

    public PropertyHint hint;
    public string hintString;
    public int usage;

    public override string ToString()
    {
      return type + " " + name + "( '" + hint + "', '" +  hintString + "', '" + usage + "')";
    }

    public string GetPropertyNameType()
    {
      if ( type == Variant.Type.Object )
      {
        return ( hintString + "" );
      }
      else
      {
        return ( type + "" );
      }
    }

  }
}